package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;
import java.util.Map;

/**
 * 对外接口调用配置对象 sys_interface_foreign
 * 
 * @author ruoyi
 * @date 2022-10-31
 */
public class SysInterfaceForeign extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 单位名称 */
    @Excel(name = "单位名称")
    private String name;

    /** 秘钥 */
    @Excel(name = "秘钥")
    private String secretKey;


    /** 放行IP */
    private List<Map<Object,String>> ipList;

    /** 放行IP */
    @Excel(name = "放行IP")
    private String ip;

    /** 能获取的设备数据id */
    private List<Map<Object,String>> equipIdList;

    /** 能获取的设备数据id */
    @Excel(name = "能获取的设备数据id")
    private String equipId;



    /** 每天可调用次数(-1时为不限次数） */
    @Excel(name = "每天可调用次数(-1时为不限次数）")
    private Long number;

    /** 每天调用剩余次数 */
    @Excel(name = "每天调用剩余次数")
    private Long remainingNumber;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setSecretKey(String secretKey) 
    {
        this.secretKey = secretKey;
    }

    public String getSecretKey() 
    {
        return secretKey;
    }
    public void setIp(String ip) 
    {
        this.ip = ip;
    }

    public String getIp() 
    {
        return ip;
    }
    public void setEquipId(String equipId) 
    {
        this.equipId = equipId;
    }

    public String getEquipId() 
    {
        return equipId;
    }
    public void setNumber(Long number) 
    {
        this.number = number;
    }

    public Long getNumber() 
    {
        return number;
    }
    public void setRemainingNumber(Long remainingNumber) 
    {
        this.remainingNumber = remainingNumber;
    }

    public Long getRemainingNumber() 
    {
        return remainingNumber;
    }

    public List<Map<Object,String>> getIpList() {
        return ipList;
    }

    public List<Map<Object,String>> getEquipIdList() {
        return equipIdList;
    }

    public void setIpList(List<Map<Object,String>> ipList) {
        this.ipList = ipList;
    }

    public void setEquipIdList(List<Map<Object,String>> equipIdList) {
        this.equipIdList = equipIdList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("secretKey", getSecretKey())
            .append("ip", getIp())
            .append("equipId", getEquipId())
            .append("number", getNumber())
            .append("remainingNumber", getRemainingNumber())
            .toString();
    }
}
